Subject: bug#14813: 24.3.50; eww (Text areas): Improve aesthetics

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Fri, 19 Jul 2013 16:46:50 +0200

Jambunathan K <[email-masked]> writes:

> Any Emacswiki page will do.  Try this link for example.
>
>         http://www.emacswiki.org/emacs/?action=edit;id=EmacsNewbie

This should now work slightly better...

> Textareas reminds me of my school days. Should I strictly type
> between the "rules" :-)
>
> I would rather prefer a border around the text area.

Yes, but I'm not quite sure how to achieve that.  Currently it just uses

(defface eww-form-text
  '((t (:background "#505050"
		    :foreground "white"
		    :box (:line-width 1))))

which works perfectly for single-line inputs.

The vertical lines are elided when two characters with the same box face
are adjacent, but the horizontal lines are not.

Is this a bug in the face code, perhaps?

> What if Text area overflows horizontally or vertically.  Is there any
> support for scrolling in that case :-)

Nope.  But it'll extend if you type at the last character on the last
line.  :-)

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/